ARCH(1)

NAME
arch - display the architecture of the current host

SYNOPSIS
arch
arch -k
arch archname

DESCRIPTION

arch displays the application architecture of the current host system.

Sun systems can be broadly classified by their architectures, which define what executables will run on which machines. A distinction can be made between kernel architecture and application architecture (or, commonly, just “architecture”). Machines that run different kernels due to underlying hardware differences may be able to run the same application programs. For example, the MC68020-based Sun-3/160 system and the MC68030-based Sun-3/80 system run different SunOS kernels, but can execute the same applications. These machines could be described as having “the same application architecture” but “different kernel architectures.”

Executing arch will display the application architecture of the machine, such as sun3, sun4, etc. All machines of the same application architecture will execute the same application programs, or user binaries.

Application | Kernel | Current Sun
Architecture | Architecture | System Models
sun3 | sun3 | 3/50, 3/60, 3/75, 3/110, 3/140,
 |  | 3/160, 3/180, 3/260, 3/280
sun3 | sun3x | 3/80, 3/460, 3/470, 3/480
sun4 | sun4 | 4/110, 4/260, 4/280,
 |  | SPARCsystem 300 series,
 |  | SPARCsystem 400 series
sun4 | sun4c | SPARCsystem 1, SPARCsystem 1+,
 |  | SPARCsystem 2, SPARCsystem IPC,
 |  | SPARCsystem SLC
sun4 | sun4m | SPARCsystem 600MP series,
 |  | SPARCsystem 10
sun386 | sun386 | 386i/150, 386i/250

OPTIONS

-k  Display the kernel architecture, such as sun3, sun3x, sun4c, etc. This defines which specific SunOS kernel will run on the machine, and has implications only for programs that depend on the kernel explicitly (for example, ps(1), vmstat(8), etc.).

archname
    Return “true” (exit status 0) if application binaries for archname can run on the current host system, otherwise, return “false” (exit status 1). This is the preferred method for installation scripts to determine the environment of the host machine; that is, which architecture of a multi-architecture release to install on this machine. archname must be a valid application architecture.

SEE ALSO
mach(1), machid(1)